* -------------------------------
* 	LPS Example
*
* 	Execution Control 2
*
*	Language: MC68K-ASM1
*	Style: plain MC68000
* 	Version: Ref2-m68k
* -------------------------------

* Reference Plain MC68000 Solution 2

* if statement with logical OR in control expression

* Register Usage
; d1 (word): variable a
; d2 (word): variable b
	org	$2000

* assumes input values already in registers

;	if ( a >= 4 ) goto if_True;
	cmp.w	#4,d1
	bge	if_True

;	if ( b > -3 ) goto if_True;
	cmp.w	#-3,d2
	bgt	if_True

* case False
;		a -= 2;
	sub	#2,d1
;		b += 1;
	add	#1,d2
;		goto if_end;
	bra	if_end

* case True
if_True:
;		b += 4;
	add	#4,d2
if_end:

* output values are d1 and d2 (word)

	end

#include <stdio.h>

int a, b;

int main( void ) {

	scanf( "%d%d", &a, &b );

	if ( a >= 4 ) goto if_True;
	if ( b > -3 ) goto if_True;

// case False
		a -= 2;
		b += 1;
		goto if_end;

// case True
if_True:
		b += 4;

if_end:
		
	printf( "%d %d\n", a, b );

	return 0; 
}

/*
	Test Cases

	Test 1
	input: 2 -5
	output: 0 -4

	Test 2
	input: 4 -6
	output: 4 -2

	Test 3
	input: 3 -2
	output: 3 2

	Test 4
	input: 4 -1
	output: 4 3
*/
