/*
	LPS Example

	Execution Control 2

	Language: C99
 	Style: unstructured C
 	Version: Ref1-uc
 */

/*
	Reference Unstructured C Solution 1
*/

/*
	if statement with logical OR in control expression
*/

#include <stdio.h>

int a, b;

int main( void ) {

	scanf( "%d%d", &a, &b );

	_Bool f1, f2;
	
	f1 = a >= 4;
	f2 = b > -3;
	f1 = f1 || f2;
	if ( f1 == 1 ) goto if_True;

// case False
		a -= 2;
		b += 1;
		goto if_end;

// case True
if_True:
		b += 4;

if_end:
		
	printf( "%d %d\n", a, b );

	return 0; 
}

/*
	Test Cases

	Test 1
	input: 2 -5
	output: 0 -4

	Test 2
	input: 4 -6
	output: 4 -2

	Test 3
	input: 3 -2
	output: 3 2

	Test 4
	input: 4 -1
	output: 4 3
*/
